/**
*
*/

import RTIcap.*;
import java.util.*;

/**
*/
public class AttributeNaming 
{
   ObjectRecord father;
   Hashtable idToName = new Hashtable();
   Hashtable nameToId = new Hashtable();

   public
   AttributeNaming(ObjectRecord _boss) { father = _boss; }

   /**
   */
   public
   String getAttributeName(short theHandle)
           throws RTIcap.AttributeNotDefined, 
                  RTIcap.FederateNotExecutionMember, 
                  RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, 
                  RTIcap.Deadlock
   {
       String ret = (String) idToName.get( new Short(theHandle)); 

       if(ret==null) throw new RTIcap.AttributeNotDefined();

       return ret;

   }// end of getAttributeName()

   /**
   */
   public
   short getAttributeHandle(String theName)
         throws RTIcap.NameNotFound, 
                RTIcap.FederateNotExecutionMember, 
                RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError,
                RTIcap.Deadlock
   {
       Short ret= (Short) nameToId.get(theName);

       if(ret==null) throw new RTIcap.NameNotFound();

       return ret.shortValue();

   }// end of getAttributeHandle()


}// end of class AttributeNaming

